Bug 1459608 - asterisk-13.11.2-1.fc27.2: FTBFS - dereferencing pointer to incomplete type 'SSL {aka struct ssl_st}'
asterisk-13.11.2-1.fc27.2: FTBFS - dereferencing pointer to incomplete type '...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/t...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 10:51 EDT by Jitka Plesnikova
Modified: 2017-06-27 02:11 EDT (History)
8 users (show)

See Also:
Fixed In Version: asterisk-14.5.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 18:52:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-06-07 10:51:06 EDT
asterisk-13.11.2-1.fc27.2 failed to build with following error. It is probably related to update OpenSSL 1.1.0

tcptls.c:401:20: error: dereferencing pointer to incomplete type 'SSL {aka struct ssl_st}'
    if (!stream->ssl->server) {
                    ^~
tcptls.c:404:5: warning: 'ERR_remove_thread_state' is deprecated [-Wdeprecated-declarations]
     ERR_remove_thread_state(NULL);
     ^~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/openssl/opensslconf.h:42:0,
                 from /usr/include/openssl/ct.h:13,
                 from /usr/include/openssl/ssl.h:61,
                 from /builddir/build/BUILD/asterisk-13.11.2/include/asterisk/tcptls.h:66,
                 from tcptls.c:44:
/usr/include/openssl/err.h:247:1: note: declared here
 DEPRECATEDIN_1_1_0(void ERR_remove_thread_state(void *))
 ^
tcptls.c: In function '__ssl_setup':
tcptls.c:780:31: error: implicit declaration of function 'SSLv2_client_method'; did you mean 'SSLv3_client_method'? [-Werror=implicit-function-declaration]
    cfg->ssl_ctx = SSL_CTX_new(SSLv2_client_method());
                               ^~~~~~~~~~~~~~~~~~~
                               SSLv3_client_method
Comment 1 rg.koppela 2017-06-19 08:46:53 EDT
How can I solve to this bug so that it can not effect to other functions or related source code of same.
Comment 2 Petr Pisar 2017-06-19 08:58:32 EDT
You can try to replace openssl-devel build-time dependency with compat-openssl10-devel. But that would be only a temporary hack.

You should upgrade asterisk to 14.3.0 that provides (some) OpenSSL 1.1.0 support (bug #1455350). And also resolve other issues like missing dahdi-tools-devel dependency (bug #1387525).
Comment 3 Till Maas 2017-06-26 18:52:10 EDT
it does now properly build in Rawhide at least.

Note You need to log in before you can comment on or make changes to this bug.